<?php
/*
Plugin Name: Curation Fire v2
Plugin URI: http://www.curationfire.com
Description: Curation Fire - Content Curation Plugin
Author: James Carter
Version: 2.0
Author URI: http://www.curationfire.com
*/
/*  Copyright 2009  James Carter  (email: abc@xyz.com)

*/

register_activation_hook( __FILE__, 'curation_enable' );
register_deactivation_hook( __FILE__, 'curation_disable' );
add_action('admin_menu' , 'wp_curation');

$num_of_cmp = get_option('curation_cmpn_tot');
if($num_of_cmp != "")
{
	foreach($num_of_cmp as $a)
	{
		add_action( 'my_sched_event_'.$a, 'sched_curation');
	}
}

$cmp_options = array("curation_auto_post_title","curation_cmpn_tot","curation_schedule","curation_src","curation_auto_post_status","curation_category_list", "curation_keyword_list");

if (is_admin())
{
		wp_enqueue_script('jquery');
		wp_enqueue_script('curation', WP_PLUGIN_URL.'/wp-curation/js/curation.js', array('jquery'));
		wp_enqueue_script('jquery.form', WP_PLUGIN_URL.'/wp-curation/js/jquery.form.js', array('jquery'));
		//wp_enqueue_script('crypto', 'http://crypto-js.googlecode.com/svn/tags/3.0.2/build/rollups/sha1.js');

		wp_enqueue_style('curationcss', WP_PLUGIN_URL.'/wp-curation/css/curation.css', array(),'1.0','all');
		$css = get_option('curation_css_layout');
		wp_enqueue_style('uicss',WP_PLUGIN_URL.'/wp-curation/css/'.$css,array(),'1.0','all');
}

function curation_enable()
{
	ob_start();
	global $cmp_options;
	
	$css = get_option('curation_css_layout');
	$g_lic = get_option('curation_img_license_google');
	$f_lic = get_option('curation_img_license_flickr');
	/* Added video size preset support - Fred Bliss 11/23/2012 */
	$teaser_length = get_option('curation_teaser_length');
	$video_size = get_option('curation_video_size');
	/* END Modified Code (FB) */

	if($css == '')
	{
		update_option('curation_css_layout', 'blue.css');

	}
	if($g_lic == '')
	{
		update_option('curation_img_license_google', 'no_licensing');

	}
	if($f_lic == '')
	{
		update_option('curation_img_license_flickr', 'no_licensing');

	}
	/* Added video size preset support - Fred Bliss 11/23/2012 */
	if($video_size == '')
	{
		update_option('curation_video_size', '320x240');	
	}
	/* END Modified Code (FB) */
	
	/* Set Initial Values for Auto Blogging Campaigns Options */
	foreach($cmp_options as $option)
	{
		if ( get_option($option) == "" )
		{
			update_option($option, array(""));
		}
	}
	ob_flush();
}

function curation_disable()
{
	wp_clear_scheduled_hook('my_sched_event');
	update_option('curation_schedule', "");
	update_option('curation_enable_auto_blog', 'no' );
}

function wp_curation()
{
	add_menu_page('Curation', 'Curation Fire', 'manage_options', 'curation-admin', 'curation_admin');
	add_submenu_page('curation-admin', 'Auto Blogging Campaigns', 'Campaigns', 'manage_options', 'autoblog-campaigns', 'autoblog_campaigns');
	add_submenu_page('curation-admin', 'Create Campaign', 'Create Campaign', 'manage_options', 'campaign-options', 'campaign_options');
	//add_submenu_page('curation-admin', 'Test Auto Blogging', 'Test Auto Blogging', 'manage_options', 'test-page', 'test_page');

	add_meta_box( 'wp_curation', 'Curation Fire', 'curation_main', 'post', 'normal', 'high' );
	add_meta_box( 'wp_curation', 'Curation Fire', 'curation_main', 'page', 'normal', 'high' );
}

/* Scheduled Function */
function sched_curation($a)
{
	require_once(dirname(__FILE__).'/search-func.php');

	$src_list = get_option('curation_src');
	$auto_post_status = get_option('curation_auto_post_status');
	$categ_list = get_option('curation_category_list');
	$auto_post_title = get_option('curation_auto_post_title');
	$keyword_list = get_option('curation_keyword_list');
	$tags_list = get_option('curation_tags_list');

	$keyword_index = get_option('curation_keyword_index_'.$a);
	$search_str = explode("\n", $keyword_list[$a]);
	
	if($keyword_index == "" or $search_str[$keyword_index] == "")
	{
		$keyword_index = 0;
	}

	$key = $search_str[$keyword_index];
	
	$content = exec_rand_post($key,$src_list[$a]);
	$my_post = array('post_category'  => $categ_list[$a], 'post_title' => $auto_post_title[$a], 'post_type' => 'post', 'post_content' => $content, 'post_status' => $auto_post_status[$a], 'post_author' => 1, 'tags_input' => $tags_list[$a] );
	$dashboard_pID = wp_insert_post($my_post);
	
	$keyword_index++;
	update_option('curation_keyword_index_'.$a, $keyword_index);
	/*foreach($search_str as $key)
	{
		$content = exec_rand_post($key,$src_list[$a]);
		$my_post = array('post_category'  => $categ_list[$a], 'post_title' => $auto_post_title[$a], 'post_type' => 'post', 'post_content' => $content, 'post_status' => $auto_post_status[$a], 'post_author' => 1, 'tags_input' => $tags_list[$a] );
		$dashboard_pID = wp_insert_post($my_post);
	}*/
}
/* End Scheduled Function */


function curation_admin()
{
	if(isset($_POST['sel_css']))
	{
		if($_POST['sel_css']!='')
		{
			update_option('curation_css_layout', $_POST['sel_css']);
		}
		if($_POST['sel_lic_google']!='')
		{
			update_option('curation_img_license_google', $_POST['sel_lic_google']);
		}
		if($_POST['sel_lic_flickr']!='')
		{
			update_option('curation_img_license_flickr', $_POST['sel_lic_flickr']);
		}
		if($_POST['sel_auto_blog'] == 'no')
		{
			wp_clear_scheduled_hook('my_sched_event');
			update_option('curation_schedule', "");
		}
		/* Added video size preset support - Fred Bliss 11/23/2012 */
		if($_POST['sel_video_size']!='')
		{
			update_option('curation_video_size', $_POST['sel_video_size']);	
		}		
		/* END Modified Code (FB) */

		update_option('curation_enable_auto_blog', $_POST['sel_auto_blog']);
	}
	$css = get_option('curation_css_layout');
	$g_lic = get_option('curation_img_license_google');
	$f_lic = get_option('curation_img_license_flickr');
	$en_auto_blog = get_option('curation_enable_auto_blog');
	/* Added video size preset support - Fred Bliss 11/23/2012 */
	$videosize = get_option('curation_video_size');	
	/* END Modified Code (FB) */
?>
	<div align="center">
    <h2>Curation Fire Options</h2>
	<form name="select" method="post">
    <table border="0" cellpadding="3">
      <tr>
        <td>
    <label> Select UI Layout </label>
    	</td>
        <td>
    <select name="sel_css" id="sel_css">
    <option value="">--- Select ---</option>
    	<option value="black.css" <?php if($css=='black.css'){?>selected="selected"<?php }?>>Black</option>
    	<option value="blue.css" <?php if($css=='blue.css'){?>selected="selected"<?php }?>>Blue</option>
    	<option value="orange.css" <?php if($css=='orange.css'){?>selected="selected"<?php }?>>Orange</option>
    	<option value="purple.css" <?php if($css=='purple.css'){?>selected="selected"<?php }?>>Purple</option>
    	<option value="red.css" <?php if($css=='red.css'){?>selected="selected"<?php }?>>Red</option>
    	<option value="yellow.css" <?php if($css=='yellow.css'){?>selected="selected"<?php }?>>Yellow</option>
    </select>
    	</td>
      </tr>
      <!-- Added video size preset support -->
      <tr>
        <td>
    <label> Select Inserted Video Dimensions Preset </label>
    	</td>
        <td>
    <select name="sel_video_size" id="sel_video_size">
    	<option value="320x240" <?php if($videosize=='320x240'){?>selected="selected"<?php }?>>320x240 (standard web)</option>   
        <option value="448x336" <?php if($videosize=='448x336'){?>selected="selected"<?php }?>>448x336</option>  
        <option value="480x360" <?php if($videosize=='480x360'){?>selected="selected"<?php }?>>480x360</option>  
        <option value="640x480" <?php if($videosize=='640x480'){?>selected="selected"<?php }?>>640x480</option>  
        <option value="768x576" <?php if($videosize=='768x576'){?>selected="selected"<?php }?>>768x576</option>   	
    </select>
    	</td>
      </tr>
      <!-- END video size preset -->
      <tr>
        <td>
    <label> Google Image Search </label>
    	</td>
        <td>
    <select name="sel_lic_google" id="sel_lic_google">
    <option value="">--- Select ---</option>
    	<option value="no_licensing" <?php if($g_lic=='no_licensing'){?>selected="selected"<?php }?>>No Licensing</option>
    	<option value="cc_public_domain" <?php if($g_lic=='cc_public_domain'){?>selected="selected"<?php }?>>Creative Commons Public Domain</option>
    	<option value="cc_attribute" <?php if($g_lic=='cc_attribute'){?>selected="selected"<?php }?>>Creative Commons Attribute</option>
    	<option value="cc_sharealike" <?php if($g_lic=='cc_sharealike'){?>selected="selected"<?php }?>>Creative Commons Share Alike</option>
    	<option value="cc_noncommercial" <?php if($g_lic=='cc_noncommercial'){?>selected="selected"<?php }?>>Creative Commons Non-Commercial</option>
    	<option value="cc_nonderived" <?php if($g_lic=='cc_nonderived'){?>selected="selected"<?php }?>>Creative Commons Non-Derived</option>
    </select>
    	</td>
      </tr>
      <tr>
        <td>
    <label> Flickr Image Search </label>
    	</td>
        <td>      
    <select name="sel_lic_flickr" id="sel_lic_flickr">
    <option value="">--- Select ---</option>
    	<option value="no_licensing" <?php if($f_lic=='no_licensing'){?>selected="selected"<?php }?>>No Licensing</option>
    	<option value="0" <?php if($f_lic=='0'){?>selected="selected"<?php }?>>All Rights Reserved</option>
    	<option value="4" <?php if($f_lic=='4'){?>selected="selected"<?php }?>>Attribution</option>
    	<option value="6" <?php if($f_lic=='6'){?>selected="selected"<?php }?>>Attribution-NoDerivs</option>
    	<option value="3" <?php if($f_lic=='3'){?>selected="selected"<?php }?>>Attribution-NonCommercial-NoDerivs</option>
    	<option value="2" <?php if($f_lic=='2'){?>selected="selected"<?php }?>>Attribution-NonCommercial</option>
    	<option value="1" <?php if($f_lic=='1'){?>selected="selected"<?php }?>>Attribution-NonCommercial-ShareAlike</option>
    	<option value="5" <?php if($f_lic=='5'){?>selected="selected"<?php }?>>Attribution-ShareAlike</option>
    	<option value="7" <?php if($f_lic=='7'){?>selected="selected"<?php }?>>No Known Copyright Restrictions</option>
    	<option value="8" <?php if($f_lic=='8'){?>selected="selected"<?php }?>>United States Government Work</option>
    </select>
    	</td>
      </tr>
      <tr>
        <td>Enable Auto Blogging </td>
        <td><select name="sel_auto_blog" id="sel_auto_blog">
          <option value="no" <?php if($en_auto_blog=="no"){echo 'selected="selected"';}?>>No</option>
          <option value="yes" <?php if($en_auto_blog=="yes"){echo 'selected="selected"';}?>>Yes</option>
        </select></td>
      </tr>
      <tr>
      	<td></td>
        <td>
    <input type="submit" value="Save" class="button" />
    	</td>
      </tr>
    </table>
    </form>
    </div>
<?php
} // end of curation_admin() function

/*function test_page()
{
	$tme = wp_next_scheduled( 'my_sched_event' );
	echo "<br>".date('Y-m-d-H:i:s', current_time( 'timestamp' ));
	echo "<br>".date('Y-m-d-H:i:s', $tme);
	echo "<br>";
					
	require_once(dirname(__FILE__).'/search-func.php');

	$keyword_list = get_option('curation_keyword_list');
	$src_list = get_option('curation_src');

	$tags = explode("\n", $keyword_list);
	$categ_list = get_option('curation_category_list');
	print_r($categ_list);
	//foreach($tags as $key)
	//{
		$content = exec_rand_post("Testing",$src_list);
		$my_post = array('post_category'  => $categ_list, 'post_title' => "Testing", 'post_type' => 'post', 'post_content' => $content, 'post_status' => $auto_post_status, 'post_author' => 1);
		$dashboard_pID = wp_insert_post($my_post);
	//}
}*/

function autoblog_campaigns()
{
	/*
	global $cmp_options;
	foreach($cmp_options as $option)
	{
		update_option($option, "");
	}
	update_option('curation_cmpn_tot', "");
	*/
	global $cmp_options;
	
	/* Delete a Campaign */
	if(isset($_GET['del']))
	{
		$num = $_GET['del'];
		foreach($cmp_options as $option)
		{
			$tmp = get_option($option);
			unset($tmp[$num]);
			update_option($option, $tmp);
 			//print_r($tmp[$num]);
		}
		wp_clear_scheduled_hook('my_sched_event_'.$num);
		
		echo '<script type="text/javascript">window.location = "admin.php?page=autoblog-campaigns"</script>';
		//header("Location:admin.php?page=autoblog-campaigns");
	}
	/* End Delete a Campaign */

	$num_of_cmp = get_option('curation_cmpn_tot');
	$sch = get_option('curation_schedule');
	$src_list = get_option('curation_src');
	$auto_post_status = get_option('curation_auto_post_status');
	$categ_list = get_option('curation_category_list');
	$auto_post_title = get_option('curation_auto_post_title');
	$keyword_list = get_option('curation_keyword_list');
	$tags_list = get_option('curation_tags_list');

	//$tme = wp_next_scheduled( 'my_sched_event_'.$num_of_cmp );
	//echo "<br>".date('Y-m-d-H:i:s', $tme);
	
?>
<div align="center">
  <h2>Curation Fire Auto Blogging Campaigns</h2>
	<p> Current time is 
    <?php
	echo "<br>".date('H:i M d, Y', time());
	?>
    </p>
    <table cellpadding="1" cellspacing="2" class="wp-list-table widefat fixed posts" style="width:90% !important">
      <tr>
        <td width="20%">Campaign</td>
        <td width="20%">Keywords</td>
        <td width="20%">Categories</td>
        <td width="20%">Sources</td>
        <td width="20%">Next Post</td>
      </tr>
      <?php
	  if( $num_of_cmp )
	  {
		  foreach($num_of_cmp as $a)
		  {
	  ?>
      <tr class="post-1 post type-post status-publish format-standard hentry category-uncategorized alternate iedit author-self">
        <td width="20%">
		<?php echo $auto_post_title[$a];?>
        <br />
        <a href="?page=campaign-options&edit=<?php echo $a;?>">Edit</a> | 
        <a href="?page=autoblog-campaigns&del=<?php echo $a;?>" onclick="return confirm('Are you sure you want to delete?')">Delete</a>
        </td>
        <td width="20%"><?php echo str_replace("\n",", ",$keyword_list[$a]);?></td>
        <td width="20%"><?php 
			foreach($categ_list[$a] as $cat_id)
			{
				echo get_cat_name( $cat_id );
				if( end($categ_list[$a]) != $cat_id)
				{
					echo ", ";
				}
			}
		?></td>
        <td width="20%">
		<?php echo implode(", ", $src_list[$a]);?></td>
        <td width="20%">
		<?php 
			$tme = wp_next_scheduled( 'my_sched_event_'.$a , array(strval($a)) );
			echo date('H:i M d, Y', $tme);
			//echo wp_get_schedule( 'my_sched_event_'.$a, array(strval($a)) );
		?>
        </td>
      </tr>
      <?php
		  }
	  }
	  ?>
    </table>
</div>					
<?php
} // end of autoblog_campaigns()

function campaign_options()
{
	/*
	add_filter( 'cron_schedules', 'cron_add_sched' );
	function cron_add_sched( $schedules )
	{
 		$schedules['minutely'] = array(
 					'interval' => 1200,
 					'display' => __( 'Once Minutely' )
 		);
 		return $schedules;
	}
	*/

	$en_auto_blog = get_option('curation_enable_auto_blog');

	if($en_auto_blog == "yes")
	{
		$num_of_cmp = get_option('curation_cmpn_tot');
		if($num_of_cmp == "")
		{
			$num_of_cmp = array();
		}

		if(isset($_GET['edit']))
		{
			$num = $_GET['edit'];
		}
		else
		{
			$num = 0;
		}	

		$sch = get_option('curation_schedule');
		$src_list = get_option('curation_src');
		$auto_post_status = get_option('curation_auto_post_status');
		$categ_list = get_option('curation_category_list');
		$auto_post_title = get_option('curation_auto_post_title');
		$keyword_list = get_option('curation_keyword_list');
		$tags_list = get_option('curation_tags_list');
		

		$src_array = array("chk_g_web"=>"Google","chk_wiki"=>"Wikipedia","chk_youtube"=>"Youtube","chk_blekko"=>"Blekko","chk_twitter"=>"Twitter","chk_flickr"=>"Flickr","chk_slideshare"=>"Slide Share","chk_g_image"=>"Google Images","chk_g_news"=>"Google News","chk_g_blogs"=>"Google Blogs","chk_g_books"=>"Google Books");
	
		$categories = get_categories(array('hide_empty' => 0 ));
		if(isset($_POST['sel_sch']))
		{
			/* Set Selected Sources */
			$i = 0;
			$src_selc = array();
			foreach($src_array as $key => $value)
			{	
				if(isset($_POST[$key]))
				{
					$src_selc[$i] = $value;
					$i++;
				}
			}
	
			/* Set Selected Categories */
			$a = 0;
			$categ_selc = array();
			foreach($categories as $category)
			{
				if(isset($_POST[$category->term_id]))
				{
					$categ_selc[$a] = $category->term_id;
					$a++;
				}
			}
			
			/* Update Auto Blogging Options */
			if($_POST['sel_sch']!='' and $_POST['keywords_list']!='' and $i>0)
			{
				if(!$num)
				{
					if(count($num_of_cmp))
					{
						$i_key = end($num_of_cmp) + 1;
					}
					else
					{
						$i_key = 1;
					}
				}
				else
				{
					$i_key = $num;
				}
				
				$src_list[$i_key] = array();
				$src_list[$i_key] = $src_selc;
	
				$categ_list[$i_key] = array();
				$categ_list[$i_key] = $categ_selc;

				$auto_post_title[$i_key] = $_POST['post_title'];;	
				$keyword_list[$i_key] = $_POST['keywords_list'];
				$tags_list[$i_key] = $_POST['tags_list'];
								
				if($_POST['sel_sch'] != $sch[$i_key])
				{					
					$sch[$i_key] = $_POST['sel_sch'];

					if ( wp_next_scheduled( 'my_sched_event_'.$i_key , array( strval($i_key) ) ) ) 
					{
						wp_clear_scheduled_hook('my_sched_event_'.$i_key, array( strval($i_key) ));
					}

					update_option('curation_schedule', $sch);
					$sch = get_option('curation_schedule');

					wp_schedule_event( time(), $sch[$i_key], 'my_sched_event_'.$i_key, array( strval($i_key) ));
				}

				update_option('curation_auto_post_title', $auto_post_title);
				$auto_post_title = get_option('curation_auto_post_title');
				update_option('curation_tags_list', $tags_list);
				$tags_list = get_option('curation_tags_list');
				update_option('curation_src', $src_list);
				$src_list = get_option('curation_src');
				update_option('curation_category_list', $categ_list);
				$categ_list = get_option('curation_category_list');
				update_option('curation_keyword_list', $keyword_list);
				$keyword_list = get_option('curation_keyword_list');
			}
			if($_POST['sel_post_stat'] !='' and $_POST['sel_post_stat'] != $auto_post_status[$i_key])
			{
				$auto_post_status[$i_key] = $_POST['sel_post_stat'];
				update_option('curation_auto_post_status', $auto_post_status);
			}
			/* push new index key in array and update */
			if(!$num)
			{
				$num_of_cmp[$i_key] = $i_key;
				update_option('curation_cmpn_tot', $num_of_cmp);
			}
			
			echo '<script type="text/javascript">window.location = "admin.php?page=autoblog-campaigns"</script>';
			//header("Location:admin.php?page=autoblog-campaigns");
		}
		$num_of_cmp = get_option('curation_cmpn_tot');
		// End isset

?>
	<div align="center">
    <h2>Curation Fire Auto Blogging Options</h2> 
    <?php
	if($num)
	{
		echo "<p>Next Post is Scheduled at ";
		$tme = wp_next_scheduled( 'my_sched_event_'.$num , array($num));
		echo "<br>".date('H:i M d, Y', $tme)."</p>";
	}
	?>
	<p> Current time is 
    <?php
	echo "<br>".date('H:i M d, Y', time());
	?>
    </p>
	<form name="select" method="post">
    <table border="0" cellpadding="3" width="50%">
      <tr>
        <td width="25%">
    <label> Select Schedule </label>
    	</td>
        <td>
    <select name="sel_sch" id="sel_sch">
    <option value="" selected="selected">--- Select ---</option>
<?php
	$sch_array = wp_get_schedules();
	
	foreach($sch_array as $key=> $val)
	{
		echo '<option value="'.$key.'"';
		if($sch[$num] == $key)
		{
			echo ' selected="selected"';
		}
		echo '>'.$val["display"].'</option>';
    }
?>
    </select>
    	</td>
      </tr>
      <tr>
        <td>
    <label> Sources </label>
    	</td>
        <td>
<?php
	foreach($src_array as $key => $value)
	{
		echo '<input type="checkbox"';
		
		if(count($src_list[$num]) > 1)
		{
			if(in_array($value,$src_list[$num]))
			{
				echo 'checked="checked"';
			}	
		}
		echo ' id="'. $key .'" name="'. $key .'" /><label>'.$value.'</label> ';
    }
?>
    	</td>
      </tr>
      <tr>
        <td>
    <label> Default Post Status </label>
    	</td>
        <td>
    <select name="sel_post_stat" id="sel_post_stat">
 	   <option value="" selected="selected">--- Select ---</option>
       <option value="publish" <?php if($auto_post_status[$num]=="publish"){echo 'selected="selected"';}?>>Publish</option>
       <option value="draft" <?php if($auto_post_status[$num]=="draft"){echo 'selected="selected"';}?>>Draft</option>
       <option value="pending" <?php if($auto_post_status[$num]=="pending"){echo 'selected="selected"';}?>>Pending</option>
       <option value="private" <?php if($auto_post_status[$num]=="private"){echo 'selected="selected"';}?>>Private</option>
    </select>
    	</td>
      </tr>
      <tr>
        <td>
    <label> Categories </label>
    	</td>
        <td>
        <?php
			//print_r($categories);
			foreach($categories as $category)
			{
				echo '<input type="checkbox"';
				if(count($categ_list[$num]))
				{
					if(in_array($category->term_id,$categ_list[$num]))
					{
						echo 'checked="checked"';
					}	
				}
				echo ' id="'. $category->term_id .'" name="'. $category->term_id .'" /><label>'.$category->cat_name.'</label> ';
			}
		?>
    	</td>
      </tr>
      <tr>
        <td>
    <label> Post Title </label>
    	</td>
        <td>      
    <input name="post_title" type="text" value="<?php echo $auto_post_title[$num];?>" size="40" maxlength="25" />
    	</td>
      </tr>
      <tr>
        <td>
    <label> Keywords (One per line) </label>
    	</td>
        <td>      
    <textarea name="keywords_list" cols="50" rows="5"><?php echo $keyword_list[$num];?></textarea>
    	</td>
      </tr>
       <tr>
        <td>
    <label> tags </label>
    	</td>
        <td>      
    <input name="tags_list" type="text"  value="<?php echo $tags_list[$num];?>" size="40" maxlength="25" />
    	</td>
      </tr>
      <tr>
      	<td></td>
        <td>
    <input type="submit" value="Save" class="button" />
    	</td>
      </tr>
    </table>
    </form>
    </div>
<?php
	}
	else
	{
		echo '<div align="center"><p>';
		echo 'Auto Blogging is Disabled. Go to <a href="admin.php?page=curation-admin">Options Page</a> to Enable it.';
		echo '</p></div>';
	}
} // end of campaign_options()


function curation_main()
{
		$g_lic = get_option('curation_img_license_google');
		$f_lic = get_option('curation_img_license_flickr');
		/* Added video size preset support - Fred Bliss 11/23/2012 */
		$video_size = get_option('curation_video_size');
		$dims = explode("x",$video_size);	
		$std_width = $dims[0];
		$std_height = $dims[1];	
		/* END Modified code (FB) */
?>
<div align="center">
	<form action="" method="post">
        <p>Select Websites to Search </p>
        <input type="checkbox" id="chk_all" onclick="checkall();" /><label>Select All</label>
        <p id="checkboxes"></p>
		<!-- Added video size preset support -->
        <p>
        <label for="video_size">Video Size (default is set as <strong><?php echo $video_size; ?>)</strong></label>
        <select name="video_size" id="video_size">
    	<option value="320x240" <?php if($video_size=='320x240'){?>selected="selected"<?php }?>>320x240 (standard web)</option>   
        <option value="448x336" <?php if($video_size=='448x336'){?>selected="selected"<?php }?>>448x336</option>  
        <option value="480x360" <?php if($video_size=='480x360'){?>selected="selected"<?php }?>>480x360</option>  
        <option value="640x480" <?php if($video_size=='640x480'){?>selected="selected"<?php }?>>640x480</option>  
        <option value="768x576" <?php if($video_size=='768x576'){?>selected="selected"<?php }?>>768x576</option>   	
    	</select>
		</p>
        <!-- END Modified code -->
		<input type="text" id="string-search" name="string-search" size="90" maxlength="200" autocomplete="on" />
        <p>
        <input id="search-submit" class="button" type="button" value="Search" />
        <input id="random-post-submit" class="button" type="button" value="Create Random Post" style="width:auto;" /></p>
        <img src="<?php echo WP_PLUGIN_URL.'/wp-curation/';?>css/images/sep.png" />        
    </form>

    <div id="search-tabs" align="center" style="height:auto; width:80%; padding:10px;"></div>
    <div id="search-results" align="left" style="height:auto; width:99%;"></div>
    <span id="results-holder"></span>
    
<script type="text/javascript">
	/* Added video size preset support */
	jQuery(document).ready(function($) {
		var video_size = jQuery('#video_size :selected').val();
		var arrsize = video_size.split('x');
		
		window.std_width = arrsize[0];
		window.std_height = arrsize[1];
		jQuery('#video_size').change(function() {
			updateDimensions(jQuery('#video_size :selected').val());
			
		});	
	});

	function updateDimensions(val) {
		var arrsize = val.split('x');
		window.std_width = arrsize[0];
		window.std_height = arrsize[1];
	}
	<!-- END Modified code -->
	
	var baseurl = '<?php echo WP_PLUGIN_URL.'/wp-curation/';?>';
	var img_lic_google = '<?php echo $g_lic;?>';
	var img_lic_flickr = '<?php echo $f_lic;?>';
	
	var chkbox = {chk_g_web:"Google",chk_wiki:"Wikipedia",chk_youtube:"Youtube",chk_blekko:"Blekko",chk_twitter:"Twitter",chk_flickr:"Flickr",chk_slideshare:"Slide Share",chk_g_image:"Google Images",chk_g_news:"Google News",chk_g_blogs:"Google Blogs",chk_g_books:"Google Books"};
	
	var tabs={tab_g_web:"#results-gweb",tab_wiki:"#results-wiki",tab_youtube:"#results-youtube",tab_blekko:"#results-blekko",tab_twitter:"#results-twitter",tab_flickr:"#results-flickr",tab_slideshare:"#results-slideshare",tab_g_image:"#results-g-image",tab_g_news:"#results-g-news",tab_g_blogs:"#results-g-blogs",tab_g_books:"#results-g-books"};	
	
	document.getElementById("wp_curation").setAttribute("class", "curation-box");
	document.getElementById('wp_curation').getElementsByClassName('hndle')[0].innerHTML = "&nbsp;";
	
	for (x in chkbox)
	{
		document.getElementById("checkboxes").innerHTML = document.getElementById("checkboxes").innerHTML + 
	'<input type="checkbox" id="' + x + '" /><label for="'+x+'">' + chkbox[x] + '</label> '; //added "For" parameter to label to make label part of clickable hotspot -FB
	}
		
	for (x in tabs)
	{
		document.getElementById("results-holder").innerHTML = document.getElementById("results-holder").innerHTML + 
	'<div id=' + tabs[x].replace("#","") + ' align="left" style="position:absolute; height:auto; visibility:hidden;"></div>';
	}
</script>

</div>
<div style="position:absolute; visibility:hidden;">
	<form id="draft_form" name="draft_form" action="<?php echo WP_PLUGIN_URL.'/wp-curation/ajax.php';?>" method="post">
        <input type="text" id="post-title" name="post-title" size="70" />
        <textarea name="post-content" id="post-content" cols="" rows=""></textarea>
    </form>
</div>

<?php
} // end of curation_main()
?>